package org.apache.maven.continuum;

import org.apache.maven.continuum.model.project.*;
import org.apache.maven.continuum.store.ContinuumStore;
import org.codehaus.plexus.logging.Logger;

import java.util.List;

/**
 * User: drolsham
 */
public interface DerivedProjectManager {
    String ROLE = DerivedProjectManager.class.getName();

    List<Project> createDerivedProjects(Project originalProject,
                                               List<ProjectDependency> newDependencies, ContinuumStore store);

    List<Project> updateDerivedProjects(Project originalProject, 
                                        List<ProjectDependency> newDependencies,
                                        List<Project> derivedProjects, ContinuumStore store);

    void copyAttributesFromOriginalProject( Project originalProject, Project project );

    boolean projectExist(Project project, ContinuumStore store);

    boolean projectSame(Project project1, Project project2);
    
    ProjectDeveloper cloneDeveloper (ProjectDeveloper developer);

    ProjectNotifier cloneNotifier (ProjectNotifier notifier);
    
    BuildDefinition cloneBuildDefinition (BuildDefinition buildDefinition);

    void printInfoForAllProjects(final Logger logger, ContinuumStore store);
    void printProjectInfo(final Logger logger, final Project project);

    //TODO delete
    DependencyHelper getDependencyHelper();
    //ContinuumStore getStore();
}
