package org.apache.maven.continuum.security;

/*
 * Copyright 2004-2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import org.apache.maven.continuum.model.system.ContinuumUser;
import org.apache.maven.continuum.model.system.UserGroup;

import java.util.List;

/**
 * @author <a href="mailto:evenisse@apache.org">Emmanuel Venisse</a>
 * @version $Id: ContinuumSecurity.java 372929 2006-01-27 17:53:13Z evenisse $
 */
public interface ContinuumSecurity
{
    String ROLE = ContinuumSecurity.class.getName();

    static final String ADMIN_GROUP_NAME = "Continuum admin";

    static final String GUEST_GROUP_NAME = "Continuum guest";

    List getPermissions( ContinuumUser user )
        throws ContinuumSecurityException;

    List getPermissions( UserGroup group );

    boolean isAuthorized( ContinuumUser user, String action )
        throws ContinuumSecurityException;

    boolean isAuthorized( UserGroup group, String action )
        throws ContinuumSecurityException;

    ContinuumUser getGuestUser()
        throws ContinuumSecurityException;
}
