package org.apache.maven.continuum.scm;

import org.apache.maven.continuum.model.scm.ScmResult;

/*
 * Copyright 2004-2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @author <a href="mailto:trygvis@inamo.no">Trygve Laugst&oslash;l</a>
 * @version $Id: ContinuumScmException.java 232221 2005-08-12 07:21:44Z brett $
 */
public class ContinuumScmException
    extends Exception
{
    private ScmResult result;

    public ContinuumScmException( String message )
    {
        super( message );
    }

    public ContinuumScmException( String message, Throwable cause )
    {
        super( message, cause );
    }

    public ContinuumScmException( String message, ScmResult result )
    {
        super( message );

        this.result = result;
    }

    public ScmResult getResult()
    {
        return result;
    }
}
