package org.apache.maven.continuum.project;

import org.apache.maven.continuum.model.project.ProjectDependency;

import java.util.List;
import java.util.ArrayList;

/**
 * User: drolsham
 */
public class DependencyGroup {    
    private List<ProjectDependency> dependencies;
    private int counter;   
    private String groupId;
    private String artifactId;
    
     public DependencyGroup() {
        this.dependencies = new ArrayList<ProjectDependency>();
        counter = 0;
    }

    public ProjectDependency getCurrent() {
        ProjectDependency result = null;
        if (counter < dependencies.size()) {
            result = dependencies.get(counter);

        }
        return result;
    }
    
    public ProjectDependency getNext() {
        counter++;
        return getCurrent();
    }

    public ProjectDependency get(int i) {
        return dependencies.get(i);    
    }

    public void reset() {
        counter = 0;
    }

    public int size() {
        return dependencies.size();    
    }

    public void add(ProjectDependency dependency) {
        dependencies.add(dependency);
        if (dependencies.size() == 1) {
            groupId = dependency.getGroupId();
            artifactId = dependency.getArtifactId();
        }
    }

    public void setDependencies(List<ProjectDependency> dependencies) {
        this.dependencies = dependencies;
    }

    public boolean dependencyExist(ProjectDependency dependency) {
        if (dependency.getArtifactId().equals(artifactId) &&
                dependency.getGroupId().equals(groupId)) {
            return true;                            
        } else {
            return false;
        }
    }

    public boolean contains(ProjectDependency dependency) {
        for (ProjectDependency element : dependencies) {
            if (dependency.getArtifactId().equals(element.getArtifactId()) &&
                    dependency.getGroupId().equals(element.getGroupId()) &&
                    dependency.getVersion().equals(element.getVersion())) {
                return true;
            }  
        }
        return false;
    }
    
    public String getGroupId() {
        return groupId;
    }

   public String getArtifactId() {
       return artifactId;
   }


}
