package org.apache.maven.continuum.updater;

/*
 * Copyright 2001-2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import org.apache.maven.continuum.updater.exception.UpdaterException;
import org.codehaus.plexus.jdo.JdoFactory;

import java.io.File;

/**
 * @author <a href="mailto:evenisse@apache.org">Emmanuel Venisse</a>
 * @version $Id: Updater.java 280572 2005-09-13 14:53:11Z evenisse $
 */
public interface Updater
{
    static String ROLE = Updater.class.getName();

    String getReleaseUrl();

    File getOldApplicationXml( File continuumHome );

    File getNewApplicationXml( File continuumHome );

    void updateDatabase( JdoFactory oldFactory, JdoFactory newFactory )
        throws UpdaterException;
}
