package org.apache.maven.continuum.updater.util;

/*
 * Copyright 2001-2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import org.apache.maven.wagon.ResourceDoesNotExistException;
import org.apache.maven.wagon.TransferFailedException;

import java.io.File;
import java.net.URL;

/**
 * @author <a href="mailto:evenisse@apache.org">Emmanuel Venisse</a>
 * @version $Id: WagonManager.java 279662 2005-09-08 22:34:15Z evenisse $
 */
public interface WagonManager
{
    static String ROLE = WagonManager.class.getName();

    void getFile( URL url, File destination, String checksumPolicy )
        throws TransferFailedException, ResourceDoesNotExistException, ChecksumFailedException;

}
