package org.apache.maven.continuum.web.pipeline.valve;

/*
 * Copyright 2004-2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import org.codehaus.plexus.summit.pipeline.valve.CreateViewContextValve;
import org.codehaus.plexus.summit.pipeline.valve.ValveInvocationException;
import org.codehaus.plexus.summit.rundata.RunData;
import org.codehaus.plexus.summit.view.ViewContext;
import org.codehaus.plexus.component.repository.exception.ComponentLookupException;
import org.apache.maven.continuum.Continuum;

/**
 * @author <a href="mailto:trygvis@inamo.no">Trygve Laugst&oslash;l</a>
 * @version $Id: ContinuumViewContextValve.java 209843 2005-07-08 17:13:22Z evenisse $
 */
public class ContinuumViewContextValve
    extends CreateViewContextValve
{
    protected void populateViewContext( RunData data, ViewContext context )
    {
        context.put( "data", data );

        try
        {
            context.put( "continuum", data.lookup( Continuum.ROLE ) );
        }
        catch ( ComponentLookupException e )
        {
            // won't happen
        }
    }
}
