package org.apache.maven.continuum.web.pipeline.valve;

/*
 * Copyright 2004-2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import org.apache.maven.continuum.configuration.ConfigurationService;
import org.codehaus.plexus.security.summit.AbstractSessionValidatorValve;

/**
 * @author <a href="mailto:trygvis@inamo.no">Trygve Laugst&oslash;l</a>
 * @author <a href="mailto:evenisse@apache.org">Emmanuel Venisse</a>
 * @version $Id: LoginValve.java 292511 2005-09-29 19:03:46Z evenisse $
 */
public class LoginValve
    extends AbstractSessionValidatorValve
{
    /**
     * @plexus.requirement
     */
    private ConfigurationService configurationService;

    public boolean isAllowedGuest()
    {
        return configurationService.isGuestAccountEnabled();
    }
}
